Debian Security Advisory

DSA-4055-1 heimdal -- security update

Date Reported:
07 Dec 2017
Affected Packages:
Security database references:
In the Debian bugtracking system: Bug 878144.
In Mitre's CVE dictionary: CVE-2017-17439.
More information:

Michael Eder and Thomas Kittel discovered that Heimdal, an implementation of Kerberos 5 that aims to be compatible with MIT Kerberos, did not correctly handle ASN.1 data. This would allow an unauthenticated remote attacker to cause a denial of service (crash of the KDC daemon) by sending maliciously crafted packets.

For the stable distribution (stretch), this problem has been fixed in version 7.1.0+dfsg-13+deb9u2.

We recommend that you upgrade your heimdal packages.

For the detailed security status of heimdal please refer to its security tracker page at: